Subject: categories: Re: Name for a concept

From: Peter Freyd <[email-masked]>
Date: Wed, 7 Dec 2005 08:36:12 -0500 (EST)

Jean asks:

  Is there a standard name for the squares where the canonical map
  is monic , i.e. the pair of maps A --->B  and  A --->C is jointly
  monic.

In the early 60s at the annual AMS meeting held at Denver, Eilenberg,
Mac Lane and I sat down to "settle" the terminology. ("Denver One" I
called it.) There were just two things we totally agreed on: "weak" is
the operator on definitions that removes uniqueness conditions and
"partial" the operator that removes existence conditions. So the
answer to Jean's question would be "partial pullback".

As for the other side -- when the pair of maps are jointly epic --
I've seen them called "near-pullbacks" in the theoretical computer
science community. Functors between regular categories that preserve
near-pullbacks are precisely those that preserve "weak tabulations"
of (n-ary) relations.